Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233083 - Wrong link command in gfs2-utils mkfs/Makefile (with solution)
Summary: Wrong link command in gfs2-utils mkfs/Makefile (with solution)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gfs2-utils
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Robert Peterson
QA Contact: Dean Jansa
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-20 13:02 UTC by Jos Vos
Modified: 2010-01-12 03:37 UTC (History)
1 user (show)

Fixed In Version: RHBA-2007-0579
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-07 18:04:45 UTC


Attachments (Terms of Use)
Patch to fix the problem (deleted)
2007-03-20 20:33 UTC, Robert Peterson
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0579 normal SHIPPED_LIVE gfs2-utils bug fix update 2007-11-08 14:13:05 UTC

Description Jos Vos 2007-03-20 13:02:44 UTC
Description of problem:
In mkfs/Makefile the following link command is done while installing:

ln -f ${MKFS} ${sbindir}/${JADD}

Although this syntax would work for a symbolic link, it will not do what you
want for a hard link: ${JADD} in the *install root* will be hardlinked to
${MKFS} in the *build directory* (which fails when they are on different
filesystems!) and the result is that ${MKFS} and ${JADD} in ${sbindir} will not
be hardlinked.

Version-Release number of selected component (if applicable):
0.1.25-1.el5

Solution: change the link in mkfs/Makefile to:

ln -f ${sbindir}/${MKFS} ${sbindir}/${JADD}

Comment 2 Robert Peterson 2007-03-20 20:33:16 UTC
Created attachment 150531 [details]
Patch to fix the problem

Comment 3 RHEL Product and Program Management 2007-03-26 14:44:05 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 4 Robert Peterson 2007-03-26 19:42:57 UTC
Fix committed to cvs in HEAD and RHEL5 branches.  Changing status
to modified.


Comment 7 errata-xmlrpc 2007-11-07 18:04:45 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0579.html



Note You need to log in before you can comment on or make changes to this bug.